#include <iostream>
using namespace std;

const int N = 10001;
int u[N], v[N], e[N];

int main(){
	int c, T;
	cin >> c >> T;
	while(T--){
		int n, k;
		cin >> n >> k;
		for(int i = 0; i < n - 1; i++){
			cin >> u[i] >> v[i];
		}
		for(int i = 0; i < k; i++){
			cin >> e[i];
		}
		cout << 0 << endl;
	}
	return 0;
}
